API DocumentationShipments

Create a shipment

POST
/api/manufacturer/v1/order/{orderId}/shipments

Creates a PREPARED courier or collection shipment on the order. Courier shipments require a destination address snapshot. Pass release=true to release immediately after create.

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Path Parameters

orderId*integer

ID of the order to attach the shipment to

Query Parameters

release?boolean

If true, the shipment is created in RELEASED status

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Collection shipment with no destination address or tracking

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/manufacturer/v1/order/1/shipments" \  -H "Content-Type: application/json" \  -d '{    "type": "COURIER",    "fromAddress": {      "street1": "string",      "street2": "string",      "city": "string",      "country": "string",      "zip": "string",      "name": "string",      "phone": "string",      "email": "string",      "residential": true    },    "parcels": [      {        "grossWeightGrams": 0,        "netWeightGrams": 0,        "value": 0,        "width": 0,        "height": 0,        "length": 0,        "allocations": [          {            "requisitionId": 0,            "quantity": 0          }        ]      }    ]  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "type": "COURIER",  "status": "PREPARED",  "incoterm": "EXW",  "fromAddress": {    "street1": "string",    "street2": "string",    "city": "string",    "state": "string",    "country": "string",    "zip": "string",    "name": "string",    "company": "string",    "phone": "string",    "email": "string",    "jurisdictionIsoCode": "string",    "residential": true,    "taxId": "string"  },  "parcels": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "grossWeightGrams": 0,      "netWeightGrams": 0,      "value": 0,      "width": 0,      "height": 0,      "length": 0,      "allocations": [        {          "requisitionId": 0,          "quantity": 0        }      ]    }  ],  "preparedAt": "2019-08-24T14:15:22Z",  "preparedBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "firstName": "string",    "lastName": "string",    "displayName": "string"  },  "releasedAt": "2019-08-24T14:15:22Z",  "releasedBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "firstName": "string",    "lastName": "string",    "displayName": "string"  },  "fulfilledAt": "2019-08-24T14:15:22Z",  "fulfilledBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "firstName": "string",    "lastName": "string",    "displayName": "string"  }}
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}